GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Enumerations | Functions
frame_goaway.h File Reference
`#include "src/core/transport/chttp2/frame.h"`
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/slice.h>`
`#include <grpc/support/slice_buffer.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_chttp2_goaway_parser

## Enumerations
enum | grpc_chttp2_goaway_parse_state { GRPC_CHTTP2_GOAWAY_LSI0, GRPC_CHTTP2_GOAWAY_LSI1, GRPC_CHTTP2_GOAWAY_LSI2, GRPC_CHTTP2_GOAWAY_LSI3, GRPC_CHTTP2_GOAWAY_ERR0, GRPC_CHTTP2_GOAWAY_ERR1, GRPC_CHTTP2_GOAWAY_ERR2, GRPC_CHTTP2_GOAWAY_ERR3, GRPC_CHTTP2_GOAWAY_DEBUG }

## Functions
void | grpc_chttp2_goaway_parser_init (grpc_chttp2_goaway_parser *p)
void | grpc_chttp2_goaway_parser_destroy (grpc_chttp2_goaway_parser *p)
grpc_chttp2_parse_error | grpc_chttp2_goaway_parser_begin_frame (grpc_chttp2_goaway_parser *parser, gpr_uint32 length, gpr_uint8 flags)
grpc_chttp2_parse_error | grpc_chttp2_goaway_parser_parse (void *parser, grpc_chttp2_transport_parsing *transport_parsing, grpc_chttp2_stream_parsing *stream_parsing, gpr_slice slice, int is_last)
void | grpc_chttp2_goaway_append (gpr_uint32 last_stream_id, gpr_uint32 error_code, gpr_slice debug_data, gpr_slice_buffer *slice_buffer)

## Enumeration Type Documentation

enum grpc_chttp2_goaway_parse_state

Enumerator
GRPC_CHTTP2_GOAWAY_LSI0 |
GRPC_CHTTP2_GOAWAY_LSI1 |
GRPC_CHTTP2_GOAWAY_LSI2 |
GRPC_CHTTP2_GOAWAY_LSI3 |
GRPC_CHTTP2_GOAWAY_ERR0 |
GRPC_CHTTP2_GOAWAY_ERR1 |
GRPC_CHTTP2_GOAWAY_ERR2 |
GRPC_CHTTP2_GOAWAY_ERR3 |
GRPC_CHTTP2_GOAWAY_DEBUG |

## Function Documentation

void grpc_chttp2_goaway_append | ( | gpr_uint32 | last_stream_id,
|  | gpr_uint32 | error_code,
|  | gpr_slice | debug_data,
|  | gpr_slice_buffer * | slice_buffer
| ) |  |

grpc_chttp2_parse_error grpc_chttp2_goaway_parser_begin_frame | ( | grpc_chttp2_goaway_parser * | parser,
|  | gpr_uint32 | length,
|  | gpr_uint8 | flags
| ) |  |

void grpc_chttp2_goaway_parser_destroy | ( | grpc_chttp2_goaway_parser * | p | ) |

void grpc_chttp2_goaway_parser_init | ( | grpc_chttp2_goaway_parser * | p | ) |

grpc_chttp2_parse_error grpc_chttp2_goaway_parser_parse | ( | void * | parser,
|  | grpc_chttp2_transport_parsing * | transport_parsing,
|  | grpc_chttp2_stream_parsing * | stream_parsing,
|  | gpr_slice | slice,
|  | int | is_last
| ) |  |